Debian Bug report logs - #651624
sometimes device nodes disappear after a reboot, making

version graph

Package: kfreebsd-image-9-amd64; Maintainer for kfreebsd-image-9-amd64 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-image-9-amd64 is src:kfreebsd-9.

Reported by: Christoph Egger <christoph@debian.org>

Date: Sat, 10 Dec 2011 16:57:01 UTC

Severity: important

Tags: upstream

Found in version kfreebsd-9/9.0~svn227451-6

Forwarded to http://www.freebsd.org/cgi/query-pr.cgi?pr=175179

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 10 Dec 2011 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Dec 2011 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 10 Dec 2011 17:52:58 +0100
Package: kfreebsd-image-9-amd64
Version: 9.0~svn227451-6
Severity: important

Hi!

  Booting from a zfs root filesystem (created with the daily installer
and a 8.2 kernel) fails with the kfreebsd 9 kernel: kfreebsd can mount
a root filesystem and the kernel drops in the manual root filesystem
selection dialog. This happens both, with the 8.2 style "old" zpool
format as well as the "new" zpool format 28. In contrast
experimental's -10 and 8.3 kernel both boot fine here.

  From within the netboot-9 installer the zfs pool is always marked as
damaged while the -8 based one thinks it is fine btw.

Regards

  Christoph

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.3-0-amd64
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-9-amd64 depends on:
ii  kfreebsd-image-9.0-0-amd64  9.0~svn227451-6

kfreebsd-image-9-amd64 recommends no packages.

kfreebsd-image-9-amd64 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 10 Dec 2011 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Dec 2011 17:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 10 Dec 2011 18:20:05 +0100
2011/12/10 Christoph Egger <christoph@debian.org>:
>  Booting from a zfs root filesystem (created with the daily installer
> and a 8.2 kernel) fails with the kfreebsd 9 kernel: kfreebsd can mount
> a root filesystem and the kernel drops in the manual root filesystem
> selection dialog. This happens both, with the 8.2 style "old" zpool
> format as well as the "new" zpool format 28. In contrast
> experimental's -10 and 8.3 kernel both boot fine here.
>
>  From within the netboot-9 installer the zfs pool is always marked as
> damaged while the -8 based one thinks it is fine btw.

Can you reproduce this with upstream kernel? (kfreebsd-downloader).
If it's an upstream bug, it'd help to get upstream involved IMHO.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 10 Dec 2011 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Dec 2011 18:12:05 GMT) Full text and rfc822 format available.

Message #15 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 10 Dec 2011 18:43:23 +0100
Hi!

Robert Millan <rmh@debian.org> writes:
> Can you reproduce this with upstream kernel? (kfreebsd-downloader).
> If it's an upstream bug, it'd help to get upstream involved IMHO.

Unfortunately the downloader doesn't work any more as rc3 is released:

Setting up kfreebsd-downloader (9.0~rc2-1) ...
--2011-12-10 18:40:14--  http://ftp.freebsd.org/pub/FreeBSD/releases/amd64/amd64/9.0-RC2/kernel.txz
Resolving ftp.freebsd.org (ftp.freebsd.org)... 2001:6c8:2:600::132, 2001:4f8:0:2::e, 149.20.64.73, ...
Connecting to ftp.freebsd.org (ftp.freebsd.org)|2001:6c8:2:600::132|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2011-12-10 18:40:14 ERROR 404: Not Found.

dpkg: error processing kfreebsd-downloader (--configure):
 subprocess installed post-installation script returned error exit status 8
Errors were encountered while processing:
 kfreebsd-downloader

trying to use a bootonly iso via netvoot also failed. will continue
trying stuff.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 10 Dec 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Dec 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 651624@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 10 Dec 2011 20:42:22 +0100
Hi!

Christoph Egger <christoph@debian.org> writes:
> Robert Millan <rmh@debian.org> writes:
>> Can you reproduce this with upstream kernel? (kfreebsd-downloader).
>> If it's an upstream bug, it'd help to get upstream involved IMHO.
>
> trying to use a bootonly iso via netvoot also failed. will continue
> trying stuff.

The official 9.0 kernel manages to mount the root fs

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 10 Dec 2011 20:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Dec 2011 20:27:13 GMT) Full text and rfc822 format available.

Message #25 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 10 Dec 2011 21:26:46 +0100
2011/12/10 Christoph Egger <christoph@debian.org>:
> Setting up kfreebsd-downloader (9.0~rc2-1) ...
> --2011-12-10 18:40:14--  http://ftp.freebsd.org/pub/FreeBSD/releases/amd64/amd64/9.0-RC2/kernel.txz
> Resolving ftp.freebsd.org (ftp.freebsd.org)... 2001:6c8:2:600::132, 2001:4f8:0:2::e, 149.20.64.73, ...
> Connecting to ftp.freebsd.org (ftp.freebsd.org)|2001:6c8:2:600::132|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2011-12-10 18:40:14 ERROR 404: Not Found.

I just uploaded 9.0-RC3.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 11 Dec 2011 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Dec 2011 07:54:04 GMT) Full text and rfc822 format available.

Message #30 received at 651624@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 11 Dec 2011 07:16:57 +0000
On 10/12/11 16:52, Christoph Egger wrote:
> Booting from a zfs root filesystem (created with the daily installer
> and a 8.2 kernel) fails with the kfreebsd 9 kernel

Hi,

I just had a go at this myself and it worked.  I had trouble with
zfsutils during install though which may be relevant.

I used this daily netinst image:

http://cdimage.debian.org/cdimage/daily-builds/daily/20111210-7/kfreebsd-amd64/jigdo-cd/debian-testing-kfreebsd-amd64-netinst.jigdo

which only has kfreebsd-image-8.2-1-amd64 8.2-15 (I guess because
kfreebsd-9 isn't in testing quite yet?).  I may have had to go to GRUB
command line and 'set mfsroot_path=/boot/mfsroot.gz' to boot the installer.


I had difficulty getting past the partitioner stage of the install.  I
could create/see the ZFS pool from the partitioner's submenu, but it
would not ask me to set a mount point.  The main partitioner screen
would not list the ZFS pool/filesystems, only the physical drive and
partition that I'd added to the pool (correctly marked as 'in use').

Then I noticed the debian installer seemed to be using zfsutils-udeb
8.3~svn226546-6 from sid, which according to #648744 probably doesn't
work with 8.2.  So, I downgraded to zfsutils-udeb 8.2-4 inside of the
running installer ramdisk (from the console, using wget, ar and tar to
overwrite zpool/zfs and libs), and was then able to delete/recreate a
ZFS pool and root fs that worked and allowed me to finish installing.


On first boot with 8.2 kernel, I enabled the sid APT repo, installed
latest kfreebsd-image-9 (requiring newer zfsutils) and rebooted back
into the ZFS root fs with that kernel just fine.  zpool status showed
the pool as online/healthy, but suggested I upgrade to version 28, which
was successful also.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 11 Dec 2011 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Dec 2011 12:00:19 GMT) Full text and rfc822 format available.

Message #35 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 11 Dec 2011 12:57:45 +0100
2011/12/10 Christoph Egger <christoph@debian.org>:
> The official 9.0 kernel manages to mount the root fs

Maybe they've fixed this bug recently.  I just uploaded a new SVN
snapshot to experimental (9.0~svn228246-1), can you try?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 11 Dec 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Dec 2011 14:27:04 GMT) Full text and rfc822 format available.

Message #40 received at 651624@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 11 Dec 2011 14:25:05 +0000
Hi,

On 11/12/11 12:03, Robert Millan wrote:
> Please don't add unrelated information to bug reports.  If you found a
> new bug, you can file it, or we can discuss it in the mailing list(s).

Okay sorry, some of that I ought to file separate bugs for, but
regarding this bug I was really trying to say:

* I managed to install to a new ZFS root under kfreebsd 8.2, upgrade to
kfreebsd 9 and still boot it;  so what did we do differently for
Christoph to have this issue?

* how did Christoph create his zpool and ZFS root filesystem?  because
for me this seemed broken in recent d-i daily images, due to the wrong
zfsutils being included;

* I'm curious, did Christoph actually boot with kfreebsd 8.2 before
installing kfreebsd 9?  or did he install kfreebsd 9 sometime during the
install and try to boot with that kernel first?

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 11 Dec 2011 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Dec 2011 15:51:05 GMT) Full text and rfc822 format available.

Message #45 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 651624@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 11 Dec 2011 16:47:38 +0100
2011/12/11 Steven Chamberlain <steven@pyro.eu.org>:
> * I managed to install to a new ZFS root under kfreebsd 8.2, upgrade to
> kfreebsd 9 and still boot it;  so what did we do differently for
> Christoph to have this issue?

Hard to say.  It's probably just not reproducible every time, or
depends on factors that can't be easily controlled.

IMHO our best bet right now is try latest 9.0 snapshot, and if that's
still broken then try setting vfs.zfs.debug=1 and watch the output.

> * how did Christoph create his zpool and ZFS root filesystem?  because
> for me this seemed broken in recent d-i daily images, due to the wrong
> zfsutils being included;

Yes. It's badly broken right now (for many different reasons), I'm
surprised he could finish the install too.

However kernels should operate on best-effort basis.  If there's
enough information for other kfreebsd versions to boot, there should
be for 9.0 too.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Mon, 12 Dec 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 12 Dec 2011 12:39:09 GMT) Full text and rfc822 format available.

Message #50 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: debian-bsd@lists.debian.org
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Mon, 12 Dec 2011 13:28:00 +0100
Hi!

On Sun, Dec 11, 2011 at 12:57:45PM +0100, Robert Millan wrote:
> 2011/12/10 Christoph Egger <christoph@debian.org>:
> > The official 9.0 kernel manages to mount the root fs
> 
> Maybe they've fixed this bug recently.  I just uploaded a new SVN
> snapshot to experimental (9.0~svn228246-1), can you try?

Still the same failure.

Regards

    Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Mon, 12 Dec 2011 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 12 Dec 2011 19:12:03 GMT) Full text and rfc822 format available.

Message #55 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>, 651624@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Mon, 12 Dec 2011 20:10:39 +0100
2011/12/12 Christoph Egger <christoph@christoph-egger.org>:
>> Maybe they've fixed this bug recently.  I just uploaded a new SVN
>> snapshot to experimental (9.0~svn228246-1), can you try?
>
> Still the same failure.

Please try setting vfs.zfs.debug=1 from GRUB and see if relevant
output turns up.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Mon, 12 Dec 2011 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 12 Dec 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #60 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Mon, 12 Dec 2011 23:50:45 +0100
Robert Millan <rmh@debian.org> writes:
> 2011/12/12 Christoph Egger <christoph@christoph-egger.org>:
>>> Maybe they've fixed this bug recently.  I just uploaded a new SVN
>>> snapshot to experimental (9.0~svn228246-1), can you try?
>>
>> Still the same failure.
>
> Please try setting vfs.zfs.debug=1 from GRUB and see if relevant
> output turns up.

[...]
ada0:  Previously was known as ad4
[...]
Trying to mount from zfs:base/root [rw]...
vdev_geom_open_by_guid:352[1]: Searching by guid [$number]
vdev_geom_read_guid:239[1]: Reading guid from ada0
vdev_geom_read_guid:273[1]: guid for ada0 is $number
vdev_geom_attach:95[1]: Attaching to ada0.
vdev_geom_attach:116[1]: Created geom consumer for ada0
vdev_geom_open_by_guid:363[1]: Attach by guid [$number] succegged, provider /dev/ada0
vdev_geom_detach:156[1]: Closing access to ada0
vdev_geom_detach:160Mounting from zfs:base/root failed with error 6 Destroyed consumer to ada0

vdev_geom_detach:168[1]: Loader variables:
Destroyed geom zfs::vdev.  vfs.root.mountfrom=zfs:base/root


Regards

    Christoph
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 13 Dec 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #65 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 13 Dec 2011 08:06:42 +0100
[Message part 1 (text/plain, inline)]
2011/12/12 Christoph Egger <christoph@christoph-egger.org>:
>> Please try setting vfs.zfs.debug=1 from GRUB and see if relevant
>> output turns up.
>
> [...]

Can't see anything relevant in those messages.  Could you rebuild
kfreebsd-9 with debug options (see attachment) and try that?  The
internal sanity checks might bring up something useful.

-- 
Robert Millan
[debug.diff (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 13 Dec 2011 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 13 Dec 2011 07:15:03 GMT) Full text and rfc822 format available.

Message #70 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 13 Dec 2011 08:12:12 +0100
Another test that might be useful is booting from a kfreebsd-9 rescue
image and trying to import your pool from command-line (zpool import
-o altroot=/target base).

If that fails it'll probably give more useful diagnostics.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Wed, 21 Dec 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 21 Dec 2011 11:36:06 GMT) Full text and rfc822 format available.

Message #75 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Wed, 21 Dec 2011 12:23:01 +0100
On Tue, Dec 13, 2011 at 08:06:42AM +0100, Robert Millan wrote:
> 2011/12/12 Christoph Egger <christoph@christoph-egger.org>:
> >> Please try setting vfs.zfs.debug=1 from GRUB and see if relevant
> >> output turns up.
> >
> > [...]
> 
> Can't see anything relevant in those messages.  Could you rebuild
> kfreebsd-9 with debug options (see attachment) and try that?  The
> internal sanity checks might bring up something useful.

  I've managed to build kfreebsd-9 9.0~svn228246-2 now and using that
kernel (cp to /boot) mounts the zfs root while both the stable and the
unstable 9.0 kernel do not. Not sure why.

Regards

    Christoph





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Wed, 21 Dec 2011 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 21 Dec 2011 20:03:05 GMT) Full text and rfc822 format available.

Message #80 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>, 651624@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Wed, 21 Dec 2011 21:00:39 +0100
El 21 de desembre de 2011 12:23, Christoph Egger
<christoph@christoph-egger.org> ha escrit:
>  I've managed to build kfreebsd-9 9.0~svn228246-2 now and using that
> kernel (cp to /boot) mounts the zfs root while both the stable and the
> unstable 9.0 kernel do not. Not sure why.

Sounds like heisenbug.  Could you try the other test? (boot from
rescue image and attempt zpool import)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Wed, 08 Feb 2012 19:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 08 Feb 2012 19:18:07 GMT) Full text and rfc822 format available.

Message #85 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Wed, 08 Feb 2012 20:16:17 +0100
Hi!

Robert Millan <rmh@debian.org> writes:
> El 21 de desembre de 2011 12:23, Christoph Egger
> <christoph@christoph-egger.org> ha escrit:
>>  I've managed to build kfreebsd-9 9.0~svn228246-2 now and using that
>> kernel (cp to /boot) mounts the zfs root while both the stable and the
>> unstable 9.0 kernel do not. Not sure why.
>
> Sounds like heisenbug.  Could you try the other test? (boot from
> rescue image and attempt zpool import)

  pool: base
    id: 6831564585978878790
 state: FAULTED
status: One or more devices contains corrupted data.
action: The pool cannot be imported due to damaged devices or data.
	The pool may be active on another system, but can be imported using
	the '-f' flag.
   see: http://www.sun.com/msg/ZFS-8000-5E
config:

	base                    FAULTED  corrupted data
	  12903006650529041588  UNAVAIL  corrupted data
          

This remindes a bit on what happends without the zpool.cache

Regards

  Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Wed, 08 Feb 2012 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paolo Delbene <id3rfix@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 08 Feb 2012 20:12:06 GMT) Full text and rfc822 format available.

Message #90 received at 651624@bugs.debian.org (full text, mbox):

From: Paolo Delbene <id3rfix@gmail.com>
To: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: is zfs incompatible with the GNU Project ?
Date: Wed, 8 Feb 2012 21:09:24 +0100
 Paolo Delbene
<id3rfix@gmail.com> 	07 febbraio 2012 02:47
A: debian-bsd <debian-bsd@lists.debian.org>

Hi,

For that i know the GNU Project is based on the GNU General Public
License (i suppose you are using GPLv3
http://www.gnu.org/licenses/gpl-3.0.txt for the kernel KFreeBSD) and
is easy to undestand why:

FreeBSD license   (#FreeBSD)

This is the original BSD license with the advertising clause and
another clause removed. (It is also sometimes called the “2-clause BSD
license”.) It is a simple, permissive non-copyleft free software
license, compatible with the GNU GPL.

If you want a simple, permissive non-copyleft free software license,
the FreeBSD license is a reasonable choice. However, please don't call
it a “BSD” or “BSD-style” license, because that is likely to cause
confusion which could lead to use of the flawed original BSD license.

Other Free Software Licenses compatible with the GNU General Public License
http://www.gnu.org/licenses/license-list.html#SoftwareLicenses

To the same time the license which supports the ZFS is in contrast
with the GNU General Public License:

Common Development and Distribution License (CDDL), version 1.0   (#CDDL)

This is a free software license. It has a copyleft with a scope that's
similar to the one in the Mozilla Public License, which makes it
incompatible with the GNU GPL. This means a module covered by the GPL
and a module covered by the CDDL cannot legally be linked together. We
urge you not to use the CDDL for this reason.

Also unfortunate in the CDDL is its use of the term “intellectual property”.

Sincerely i don't understand because you adopted ZFS until AdvFS
(Advanced File System, designed by Digital Equipment Corporation for
their Digital UNIX (now Tru64 UNIX) operating system.

http://en.wikipedia.org/wiki/AdvFS

AdvFS, also known as Tru64 UNIX Advanced File System, is a file system
developed in the late 1980s to mid 1990s [1] by Digital Equipment
Corporation for their OSF/1 version of the Unix operating system
(later Digital UNIX/Tru64 UNIX). In June 2008, it was released as open
source under the GNU GPL license[2].

You can find too anything i wrote in past on:
http://www.gnuvox.info/2009/04/debian-implementa-kernel-freebsd

something was not proper correct, but other thing yes :-)

about AdvFS this is one good alternative to ZFS or is possible to use
LVM Logical Volume Manager

http://en.wikipedia.org/wiki/Logical_Volume_Manager_(Linux)

so why don't use one of these 2 ones ?

if i am in wrong, please correct me :-(

awaiting your reply,

happy hacking,

paolo del bene




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Thu, 09 Feb 2012 13:13:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Tomasz Napierała <trasz@FreeBSD.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 09 Feb 2012 13:13:29 GMT) Full text and rfc822 format available.

Message #95 received at 651624@bugs.debian.org (full text, mbox):

From: Edward Tomasz Napierała <trasz@FreeBSD.org>
To: Paolo Delbene <id3rfix@gmail.com>
Cc: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: is zfs incompatible with the GNU Project ?
Date: Thu, 9 Feb 2012 13:26:18 +0100
On Wed, Feb 08, 2012 at 09:09:24PM +0100, Paolo Delbene wrote:
>  Paolo Delbene
> <id3rfix@gmail.com> 	07 febbraio 2012 02:47
> A: debian-bsd <debian-bsd@lists.debian.org>
> 
> Hi,
> 
> For that i know the GNU Project is based on the GNU General Public
> License (i suppose you are using GPLv3
> http://www.gnu.org/licenses/gpl-3.0.txt for the kernel KFreeBSD) and
> is easy to undestand why:
> 
> FreeBSD license   (#FreeBSD)
> 
> This is the original BSD license with the advertising clause and
> another clause removed. (It is also sometimes called the “2-clause BSD
> license”.) It is a simple, permissive non-copyleft free software
> license, compatible with the GNU GPL.
> 
> If you want a simple, permissive non-copyleft free software license,
> the FreeBSD license is a reasonable choice. However, please don't call
> it a “BSD” or “BSD-style” license, because that is likely to cause
> confusion which could lead to use of the flawed original BSD license.

FreeBSD license _is_ a BSD license.  It's just there are three kinds
of BSD license, and some of FreeBSD code is four-clause.

> Other Free Software Licenses compatible with the GNU General Public License
> http://www.gnu.org/licenses/license-list.html#SoftwareLicenses
> 
> To the same time the license which supports the ZFS is in contrast
> with the GNU General Public License:
> 
> Common Development and Distribution License (CDDL), version 1.0   (#CDDL)
> 
> This is a free software license. It has a copyleft with a scope that's
> similar to the one in the Mozilla Public License, which makes it
> incompatible with the GNU GPL. This means a module covered by the GPL
> and a module covered by the CDDL cannot legally be linked together. We
> urge you not to use the CDDL for this reason.

Yes, it's a known problem with GPL, which seems to have been deliberately
made incompatible with licenses that are not subset of it.  Still, it's
not a problem, since there is hardly any useful code licensed under GPL
in the FreeBSD kernel.  There were three sound card drivers, but they
were cleaned from GPL in 10-CURRENT.

> Also unfortunate in the CDDL is its use of the term “intellectual property”.
> 
> Sincerely i don't understand because you adopted ZFS until AdvFS
> (Advanced File System, designed by Digital Equipment Corporation for
> their Digital UNIX (now Tru64 UNIX) operating system.

Simply because ZFS works.

> http://en.wikipedia.org/wiki/AdvFS
> 
> AdvFS, also known as Tru64 UNIX Advanced File System, is a file system
> developed in the late 1980s to mid 1990s [1] by Digital Equipment
> Corporation for their OSF/1 version of the Unix operating system
> (later Digital UNIX/Tru64 UNIX). In June 2008, it was released as open
> source under the GNU GPL license[2].
> 
> You can find too anything i wrote in past on:
> http://www.gnuvox.info/2009/04/debian-implementa-kernel-freebsd
> 
> something was not proper correct, but other thing yes :-)
> 
> about AdvFS this is one good alternative to ZFS or is possible to use
> LVM Logical Volume Manager
> 
> http://en.wikipedia.org/wiki/Logical_Volume_Manager_(Linux)
> 
> so why don't use one of these 2 ones ?

For AdvFS to be useful, it would have to be ported to FreeBSD first.
Also, this would make FreeBSD the sole consumer of this code (ZFS
is being used in other systems, e.g. Illumos).  This would also mean
adding GPL-ed code to FreeBSD, which is not really desired.

Also, AdvFS and LVM are nowhere of being functionally equivalent to ZFS.

-- 
If you cut off my head, what would I say?  Me and my head, or me and my body?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Thu, 09 Feb 2012 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hannes <debian-bsd-list@soulrebel.in-berlin.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 09 Feb 2012 17:30:05 GMT) Full text and rfc822 format available.

Message #100 received at 651624@bugs.debian.org (full text, mbox):

From: Hannes <debian-bsd-list@soulrebel.in-berlin.de>
To: Edward Tomasz Napierała <trasz@FreeBSD.org>
Cc: Paolo Delbene <id3rfix@gmail.com>, Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: is zfs incompatible with the GNU Project ?
Date: Thu, 09 Feb 2012 18:27:33 +0100
On 09.02.2012 13:26, Edward Tomasz Napierała wrote:
> On Wed, Feb 08, 2012 at 09:09:24PM +0100, Paolo Delbene wrote:
>>   Paolo Delbene
>> <id3rfix@gmail.com>  	07 febbraio 2012 02:47
>> A: debian-bsd<debian-bsd@lists.debian.org>
>>
>> Hi,
>>
>> For that i know the GNU Project is based on the GNU General Public
>> License (i suppose you are using GPLv3
>> http://www.gnu.org/licenses/gpl-3.0.txt for the kernel KFreeBSD) and
>> is easy to undestand why:
>>
>> FreeBSD license   (#FreeBSD)
>>
>> This is the original BSD license with the advertising clause and
>> another clause removed. (It is also sometimes called the “2-clause BSD
>> license”.) It is a simple, permissive non-copyleft free software
>> license, compatible with the GNU GPL.
>>
>> If you want a simple, permissive non-copyleft free software license,
>> the FreeBSD license is a reasonable choice. However, please don't call
>> it a “BSD” or “BSD-style” license, because that is likely to cause
>> confusion which could lead to use of the flawed original BSD license.
>
> FreeBSD license _is_ a BSD license.  It's just there are three kinds
> of BSD license, and some of FreeBSD code is four-clause.
>
>> Other Free Software Licenses compatible with the GNU General Public 
License
>> http://www.gnu.org/licenses/license-list.html#SoftwareLicenses
>>
>> To the same time the license which supports the ZFS is in contrast
>> with the GNU General Public License:
>>
>> Common Development and Distribution License (CDDL), version 1.0 
(#CDDL)
>>
>> This is a free software license. It has a copyleft with a scope that's
>> similar to the one in the Mozilla Public License, which makes it
>> incompatible with the GNU GPL. This means a module covered by the GPL
>> and a module covered by the CDDL cannot legally be linked together. We
>> urge you not to use the CDDL for this reason.
>
> Yes, it's a known problem with GPL, which seems to have been deliberately
> made incompatible with licenses that are not subset of it.  Still, it's
> not a problem, since there is hardly any useful code licensed under GPL
> in the FreeBSD kernel.  There were three sound card drivers, but they
> were cleaned from GPL in 10-CURRENT.

Hi folks,

I was under the impression that the ZFS kernel code in FreeBSD is 
original work under the 2C-BSDL . At least the headers in
/usr/src/sys/cddl/compat/opensolaris/kern
give this impression.
So only the userland code (lib and tools) is under CDDL.

Can someone clarify this?

Thank you!

Regards,
Hannes




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Fri, 10 Feb 2012 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kaduk <kaduk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Feb 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #105 received at 651624@bugs.debian.org (full text, mbox):

From: Benjamin Kaduk <kaduk@MIT.EDU>
To: Hannes <debian-bsd-list@soulrebel.in-berlin.de>
Cc: 651624@bugs.debian.org
Subject: Re: Bug#651624: is zfs incompatible with the GNU Project ?
Date: Thu, 9 Feb 2012 21:00:04 -0500 (EST)
On Thu, 9 Feb 2012, Hannes wrote:

>
> I was under the impression that the ZFS kernel code in FreeBSD is original 
> work under the 2C-BSDL . At least the headers in
> /usr/src/sys/cddl/compat/opensolaris/kern
> give this impression.
> So only the userland code (lib and tools) is under CDDL.

My impression was that there was a specific effort to implement a set of 
headers and in-kernel hooks as original work under the BSDL, that would be 
sufficient to allow a CDDL-licensed module to be loaded at runtime and 
still supply ZFS functionality.
This way, the stock kernel that is shipped is entirely BSDL, but the 
existing bulk of the CDDL ZFS code can be used with only minimal changes 
for compatibility.
/usr/src/sys/modules/zfs/Makefile is enlightening on where things come 
from, most notably 
/usr/src/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/.
These files have the CDDL header in them.

-Ben Kaduk




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Fri, 10 Feb 2012 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Feb 2012 21:51:08 GMT) Full text and rfc822 format available.

Message #110 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Fri, 10 Feb 2012 22:47:36 +0100
Hi!

  Just an interesting Gem I noticed. `zpool list -o version` tells me my
pool is at version 28 while `zdb` thinks it's version 15.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sat, 11 Feb 2012 11:27:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Feb 2012 11:27:47 GMT) Full text and rfc822 format available.

Message #115 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sat, 11 Feb 2012 11:25:40 +0000
El 8 de febrer de 2012 19:16, Christoph Egger <christoph@debian.org> ha escrit:
>  pool: base
>    id: 6831564585978878790
>  state: FAULTED
> status: One or more devices contains corrupted data.
> action: The pool cannot be imported due to damaged devices or data.
>        The pool may be active on another system, but can be imported using
>        the '-f' flag.
>   see: http://www.sun.com/msg/ZFS-8000-5E
> config:
>
>        base                    FAULTED  corrupted data
>          12903006650529041588  UNAVAIL  corrupted data
>
>
> This remindes a bit on what happends without the zpool.cache

I'm not sure if people in debian-bsd can help with this.  I myself
can't.  Maybe you should try to reproduce this in a pure FreeBSD
environment by trying to import the pool from a FreeBSD system.  If it
can be imported with kFreeBSD 8.x (either GNU or BSD userland), but
not with pure FreeBSD 9.0, then it's IMHO worth reporting to ZFS
experts in freebsd-fs.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 25 Mar 2012 21:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 25 Mar 2012 21:12:22 GMT) Full text and rfc822 format available.

Message #120 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 25 Mar 2012 23:07:19 +0200
Hi!

Robert Millan <rmh@debian.org> writes:
> I'm not sure if people in debian-bsd can help with this.  I myself
> can't.  Maybe you should try to reproduce this in a pure FreeBSD
> environment by trying to import the pool from a FreeBSD system.  If it
> can be imported with kFreeBSD 8.x (either GNU or BSD userland), but
> not with pure FreeBSD 9.0, then it's IMHO worth reporting to ZFS
> experts in freebsd-fs.

I was now able to reproduce the problem in a 10-CURRENT build done on
pure freebsd 9.0-STABLE with default cc though the failing box is (of
course) still kfreebsd.

There should be no othyer debian influcenes before the reoot filesystem
comes available apart from grub right? Going to take this upstream if
so.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 25 Mar 2012 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 25 Mar 2012 21:30:06 GMT) Full text and rfc822 format available.

Message #125 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>
Cc: 651624@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 25 Mar 2012 23:26:14 +0200
El 25 de març de 2012 23:07, Christoph Egger <christoph@debian.org> ha escrit:
> Robert Millan <rmh@debian.org> writes:
>> I'm not sure if people in debian-bsd can help with this.  I myself
>> can't.  Maybe you should try to reproduce this in a pure FreeBSD
>> environment by trying to import the pool from a FreeBSD system.  If it
>> can be imported with kFreeBSD 8.x (either GNU or BSD userland), but
>> not with pure FreeBSD 9.0, then it's IMHO worth reporting to ZFS
>> experts in freebsd-fs.
>
> I was now able to reproduce the problem in a 10-CURRENT build done on
> pure freebsd 9.0-STABLE with default cc though the failing box is (of
> course) still kfreebsd.

I was hit by this too. Really annoying :-(

> There should be no othyer debian influcenes before the reoot filesystem
> comes available apart from grub right? Going to take this upstream if
> so.

There might be something written on disk by Debian kernel that
upstream kernel doesn't. Probably not file system corruption since
it's clearly recoverable (as I write, my system just came back to
normal after simply booting a D-I image and importing the pool there).

But as the data is there, if upstream kernels can't access it I think
it's probably relevant to them.

If you bring this upstream, I recommend writing to freebsd-fs, it's
much easier to get attention there than by filing a PR.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 10 Apr 2012 15:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 10 Apr 2012 15:39:12 GMT) Full text and rfc822 format available.

Message #130 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 651624@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 10 Apr 2012 17:38:53 +0200
Hi,

I suspect this bug has nothing to do with the actual content of the
device.  Some hints:

  - It recently happened in one of my VMs.  Tried rebooting a few
times, always failed.  Then instead of reboot I shut down and restart,
then it works.  Disk content has to be exactly the same in all tests,
since nobody mounted it read-write.

  - In one of those reboots, I tried booting from a rescue disk (to
try to fiddle a bit with the data using "zpool import").  Then I found
that /dev nodes WERE NOT EVEN PRESENT.  Again, rebooting didn't help,
but after shut down and restart everything is back to normal.

  - Remember that "error 6" when the problem happens?  6 is ENXIO
(Device not present).

The picture begins to look like disks are not being detected.  GRUB is
not affected because it relies on the BIOS, and on VMs the BIOS is
likely to bypass the standard ATA interface.

Some tests that could confirm this, when any of us hits the problem again:

  - When you get the mount error, type "?" in mountroot prompt.  It
should give you a list of device nodes (e.g. ada0s2, ada0s1, ada0...).
 If it's empty, that's the reason it can't mount the ZFS root.

  - From GRUB prompt, try "insmod ata".  Then "ls" should give you a
list of disks, but this time using ATA rather than BIOS.  Check if
that list is empty.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 17 Apr 2012 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 17 Apr 2012 20:03:07 GMT) Full text and rfc822 format available.

Message #135 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 651624@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 17 Apr 2012 21:59:53 +0200
retitle 651624 sometimes device nodes disappear after a reboot, making
them inaccessible to root file system
thanks

El 10 d’abril de 2012 17:38, Robert Millan <rmh@debian.org> ha escrit:
> Some tests that could confirm this, when any of us hits the problem again:
>
>  - When you get the mount error, type "?" in mountroot prompt.  It
> should give you a list of device nodes (e.g. ada0s2, ada0s1, ada0...).
>  If it's empty, that's the reason it can't mount the ZFS root.

Confirmed: the list is empty.  The device nodes aren't present.
Furthermore, rebooting doesn't help but shutdown fixes the problem.

Christoph, I only hit this problem in VirtualBox.  Did you experience
it with real hardware, also VM...?

-- 
Robert Millan




Changed Bug title to 'sometimes device nodes disappear after a reboot, making' from 'Booting from zfs root seems to not work 8.3 and 10.0 however work' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 20:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 17 Apr 2012 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 17 Apr 2012 20:09:05 GMT) Full text and rfc822 format available.

Message #142 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 651624@bugs.debian.org
Subject: Re: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 17 Apr 2012 22:07:42 +0200
Robert Millan <rmh@debian.org> writes:
> retitle 651624 sometimes device nodes disappear after a reboot, making
> them inaccessible to root file system
> thanks
>
> El 10 d’abril de 2012 17:38, Robert Millan <rmh@debian.org> ha escrit:
>> Some tests that could confirm this, when any of us hits the problem again:
>>
>>  - When you get the mount error, type "?" in mountroot prompt.  It
>> should give you a list of device nodes (e.g. ada0s2, ada0s1, ada0...).
>>  If it's empty, that's the reason it can't mount the ZFS root.
>
> Confirmed: the list is empty.  The device nodes aren't present.
> Furthermore, rebooting doesn't help but shutdown fixes the problem.
>
> Christoph, I only hit this problem in VirtualBox.  Did you experience
> it with real hardware, also VM...?

I am experiencing this on real hardware (Thinkpad X220) and I also for
clean boots (not rebooting).

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Tue, 17 Apr 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 17 Apr 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #147 received at 651624@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 651624@bugs.debian.org
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Tue, 17 Apr 2012 22:35:38 +0200
El 17 d’abril de 2012 22:07, Christoph Egger <christoph@debian.org> ha escrit:
>> Confirmed: the list is empty.  The device nodes aren't present.
>> Furthermore, rebooting doesn't help but shutdown fixes the problem.
>>
>> Christoph, I only hit this problem in VirtualBox.  Did you experience
>> it with real hardware, also VM...?
>
> I am experiencing this on real hardware (Thinkpad X220) and I also for
> clean boots (not rebooting).

Perhaps it's not the same bug I'm experiencing.  If you hit it again,
try that "?" command and see if the device nodes are present.

Also please take note of the error number.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Fri, 07 Sep 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 07 Sep 2012 01:15:04 GMT) Full text and rfc822 format available.

Message #152 received at 651624@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 651624@bugs.debian.org
Subject: ZFS rootfs working in 8.3 and 10-CURRENT but not in debian-9 and debian-10 kernels
Date: Thu, 06 Sep 2012 18:10:44 -0700
Hi!

  I've finally made my system boot on current kfreebsd kernels from the
archive. I was zfs send the system away, created a partition a bit
smaller than the actual space (you can test if it's enough by exporting
the pool -- if it imports again you're fine) and zfs receiving the data
again.

Regards

    Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 06 Jan 2013 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 06 Jan 2013 04:03:03 GMT) Full text and rfc822 format available.

Message #157 received at 651624@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 651624@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, Robert Millan <rmh@debian.org>, Christoph Egger <christoph@debian.org>
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 06 Jan 2013 03:58:42 +0000
[Message part 1 (text/plain, inline)]
Hi,

Now I've encountered this as well, or something similar.

I think it might have to do with devices in the zpool being renamed
(e.g. IDE drives ad0->ada0, SCSI driver renamed, or a renumbering of
devices).


Furthermore, there is a particular problem when ZFS is on a partition,
rather than a whole device, and if that partition extends to the end of
the disk.

e.g. I have a ZFS pool on /dev/ada0s3 and /dev/ada1s3 and these
partitions are placed at the end of the disks.  zpool.cache and the
drive labels are populated with these device paths.

If I attach /dev/ada1 to a different IDE bus it becomes /dev/ada3

When kFreeBSD tries to mount the root zpool, it does not find
/dev/ada1s3 so scans for it.  I guess it tries /dev/ada3 *before*
looking at /dev/ada3s3, attempts to import the pool that way, but is
unable to properly read ada3 so marks the drive UNAVAIL.

The attached screenshot has evidence of this.  Note the UNAVAIL disk
that says "was /dev/ada3" when really it was ada1s3, and now should have
been ada3s3.


If both ada0 and ada1 are renumbered, I instead get the "failed with
error 6" at boot.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[Screenshot of QEMU at 2013-01-06 03:51:06.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#651624; Package kfreebsd-image-9-amd64. (Sun, 06 Jan 2013 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 06 Jan 2013 04:57:03 GMT) Full text and rfc822 format available.

Message #162 received at 651624@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 651624@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>, Robert Millan <rmh@debian.org>, Christoph Egger <christoph@debian.org>
Subject: Re: Bug#651624: Booting from zfs root seems to not work 8.3 and 10.0 however work
Date: Sun, 06 Jan 2013 04:52:21 +0000
On 06/01/13 03:58, Steven Chamberlain wrote:
> I think it might have to do with devices in the zpool being renamed [...]

> Furthermore, there is a particular problem when ZFS is on a partition,
> rather than a whole device, and if that partition extends to the end of
> the disk.

> If both ada0 and ada1 are renumbered, I instead get the "failed with
> error 6" at boot.

Well, I've tried moving my ZFS partitions back from the end of the disks
(one half of the mirror at a time) and I zeroed the free space until the
end of the disk.  I'm no longer seeing this problem when device paths
are renumbered.

> I guess it tries /dev/ada3 *before*
> looking at /dev/ada3s3, attempts to import the pool that way, but is
> unable to properly read ada3 so marks the drive UNAVAIL.

On 12/12/11 22:50, Christoph Egger wrote:
> [...]
> ada0:  Previously was known as ad4
> [...]
> Trying to mount from zfs:base/root [rw]...
> vdev_geom_open_by_guid:352[1]: Searching by guid [$number]
> vdev_geom_read_guid:239[1]: Reading guid from ada0
> vdev_geom_read_guid:273[1]: guid for ada0 is $number
> vdev_geom_attach:95[1]: Attaching to ada0.
> vdev_geom_attach:116[1]: Created geom consumer for ada0
> vdev_geom_open_by_guid:363[1]: Attach by guid [$number] succegged, provider /dev/ada0
> vdev_geom_detach:156[1]: Closing access to ada0
> vdev_geom_detach:160Mounting from zfs:base/root failed with error 6 Destroyed consumer to ada0
> 
> vdev_geom_detach:168[1]: Loader variables:
> Destroyed geom zfs::vdev.  vfs.root.mountfrom=zfs:base/root

That looks like the same issue to me - ad4 became ada0 - but Christoph
said that the zpool had been created from the installer.

The installer usually uses a (msdos) partition as a ZFS physical volume?
 So perhaps it should have tried to attach /deve/ada0s[0-9] here, but
mistakenly attached /dev/ada0 because it saw the disklabel (with correct
guid) near the end of the disk?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Added tag(s) upstream. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 10 Jan 2013 13:24:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.freebsd.org/cgi/query-pr.cgi?pr=175179'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 10 Jan 2013 13:24:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:18:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.